Subject: bonding xmit overwrite skb->priority

From: Francesco Dolcini <[email-masked]>
Date: Thu, 30 Aug 2007 12:06:20 +0200

Bonding code set skb->priority=1 before trasmitting frame to the slave 
device (bond_dev_queue_xmit() in bond_main.c). The only reason I can 
think of doing this is to be sure that control packet used by bonding 
specific implementation (802.3ad PDU for example) using priority 
TC_PRIO_CONTROL will never get delayed by other traffic (using the 
default qdisc pfifo_fast). The problem doing this is that priority 
information in skb get lost.
I removed this line because I need to trust skb priority in the slave 
device qdisc and I got no negative effects, am I missing something? 
There are other reason for setting skb->priority to 1?

thanks

Francesco